Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.interpolation
Class TricubicSplineInterpolator

    java.lang.Object
      org.apache.commons.math3.analysis.interpolation.TricubicSplineInterpolator

All Implemented Interfaces:
  TrivariateGridInterpolator

    public class TricubicSplineInterpolator

extends Object
implements TrivariateGridInterpolator

Generates a tricubic interpolating function.

Since:
  2.2
Version:
  $Id: TricubicSplineInterpolator.java 1379904 2012-09-01 23:54:52Z erans $

Constructor Summary
`TricubicSplineInterpolator()`

Method Summary
`TricubicSplineInterpolatingFunction` | `interpolate(double[] xval, double[] yval, double[] zval, double[][][] fval)` Compute an interpolating function for the dataset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TricubicSplineInterpolator

    public TricubicSplineInterpolator()

Method Detail

### interpolate

    public TricubicSplineInterpolatingFunction interpolate(double[] xval,
                                                           double[] yval,
                                                           double[] zval,
                                                           double[][][] fval)
                                                    throws NoDataException,
                                                           DimensionMismatchException,
                                                           NonMonotonicSequenceException

  Compute an interpolating function for the dataset.

  Specified by:
    `interpolate` in interface `TrivariateGridInterpolator`
  Parameters:
    `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
    `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
    `zval` - All the z-coordinates of the interpolation points, sorted in increasing order.
    `fval` - the values of the interpolation points on all the grid knots: `fval[i][j][k] = f(xval[i], yval[j], zval[k])`.
  Returns:
    a function that interpolates the data set.
  Throws:
    `NoDataException` - if any of the arrays has zero length.
    `DimensionMismatchException` - if the array lengths are inconsistent.
    `NonMonotonicSequenceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.